Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.junit
Class JUnitDetector

    java.lang.Object
      org.gradle.api.testing.execution.AbstractTestFrameworkDetector<org.gradle.external.junit.JUnitTestClassDetecter>
          org.gradle.external.junit.JUnitDetector

All Implemented Interfaces:
  TestFrameworkDetector

    public class JUnitDetector

extends AbstractTestFrameworkDetector<org.gradle.external.junit.JUnitTestClassDetecter>

Field Summary

Fields inherited from class org.gradle.api.testing.execution.AbstractTestFrameworkDetector
`extractedJarClasses, packageJarFilesMappings, testClassDirectories, testClassNames`

Constructor Summary
`JUnitDetector(java.io.File testClassesDirectory, java.util.List<java.io.File> testClasspath)`

Method Summary
`protected org.gradle.external.junit.JUnitTestClassDetecter` | `createClassVisitor()`
`boolean` | `processPossibleTestClass(java.io.File testClassFile)`

Methods inherited from class org.gradle.api.testing.execution.AbstractTestFrameworkDetector
`getSuperTestClassFile, getTestClassesDirectory, getTestClassNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitDetector

    public JUnitDetector(java.io.File testClassesDirectory,
                         java.util.List<java.io.File> testClasspath)

Method Detail

### createClassVisitor

    protected org.gradle.external.junit.JUnitTestClassDetecter createClassVisitor()

  Specified by:
    `createClassVisitor` in class `AbstractTestFrameworkDetector<org.gradle.external.junit.JUnitTestClassDetecter>`

### processPossibleTestClass

    public boolean processPossibleTestClass(java.io.File testClassFile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD